Deskhero Developer Hub
Back to deskhero.com
List entries

List as xlsx

Returns all list entries in given list as a spreadsheet. Take 0 returns as many as possible

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/list_entries/{list_id}/as_xlsx
Authorisation
Minimum role: USER

Request arguments

Name Type Source
list_idInt32
filterDTO_standard_filterQuery
Request body example

Response

Status
200 (OK)
Type
Void
Wrapper
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_standard_filter
NameTypeReadOnlyDescription
sort_by_keyStringSort by key
response_field_keysString[]Only return the fields specified
filtersString[]Each string needs to be structured: filters=field_key:operator:value1|value2|value3 Only used to store filters for passing along as querystring
include_aggregationsBooleanInclude aggregations
include_importedBooleanInclude imported
searchStringSearch
sort_orderENUM sort_orderSort order
takeInt32Take
pageInt32Page
ENUM sort_order
ValueNameDescription
0ASCASC
1DESCDESC

Generated Aug 4, 2026 18:37